// --------------------------------------------------------------------------
// Reviews
// --------------------------------------------------------------------------

.reviews {
    background: #fff;
    padding: 31px 0;
    @include breakpoint(md) {
        background: #F6F9FB;
        padding: 41px 0 50px;
    }
    @include breakpoint(lg) {
        padding: 42px 0;
    }
    @include breakpoint(xl) {
        padding: 80px 0;
    }
}

.reviews__head {
    display: flex;
    align-items: center;
    margin: 0 0 20px;
    @include breakpoint(md) {
        margin: 0 0 25px;
    }
    @include breakpoint(lg) {
        margin: 0 0 33px;
    }
}

.reviews__body {
    position: relative;
    // overflow: hidden;
}

.reviews__foot {
    text-align: center;
    padding: 50px 0 0;
    @include breakpoint(md) {
        padding: 50px 0 0;
    }
    @include breakpoint(lg) {
        padding: 60px 0;
    }
    @include breakpoint(xl) {
        padding: 70px 0 0;
    }
}

// -----

.reviews__title {
    @extend .ui-title-33;
    margin: 0 20px 0 0;
    flex: 1;
}

.reviews__action {
    flex: 0 0 auto;
}

.reviews__grid {
    margin: 0 -10px -20px;
    padding: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    & > li {
        padding: 0 10px 20px;
        flex: 0 0 100%;
        max-width: 100%;
        width: 100%;
    }
    @include breakpoint(md) {
        & > li {
            flex: 0 0 50%;
            max-width: 50%;
            width: 50%;
        }
    }
    @include breakpoint(xl) {
        & > li {
            flex: 0 0 33.333%;
            max-width: 33.333%;
            width: 33.333%;
        }
    }
}

.reviews__item {
    position: relative;
    z-index: 1;
    margin: 0;
    transition: box-shadow 0.25s;
    &.is-active {
        z-index: 2;
        box-shadow: 0 5px 20px rgba(0,0,0,0.15);
        .reviews__item-readmore:after {
            opacity: 0;
        }
    }
    @include breakpoint(md) {
        background: #fff;
        border-radius: 3px;
        display: flex;
        min-height: 168px;
    }
    @include breakpoint(lg) {
        display: block;
        
    }
}

.reviews__item-image {
    margin: 0 0 20px;
    position: relative;
    overflow: hidden;
    background: #6D6D6D;
    border-radius: 3px;
    &:before {
        content: '';
        float: left;
        padding: 60% 0 0;
    }
    &:after {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(360deg, rgba(0, 82, 88, 0.23) -219.29%, rgba(0, 117, 126, 0.38) 28.45%, rgba(255, 255, 255, 0) 206.67%);
    }
    img {
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        width: 100%;
        height: 100%;
        opacity: 0.5;
        object-fit: cover;
    }
    @include breakpoint(md) {
        margin: 0;
        flex: 0 0 100%;
    }
}

.reviews__item-desc {
    position: relative;
    border-radius: 3px;
    @include breakpoint(md) {
        padding: 15px 25px;
        flex: 1;
        display: flex;
        flex-direction: column;
    }
    @include breakpoint(lg) {
        padding: 30px;
          
    }
}

.reviews__item-name {
    display: block;
    font-size: 16px;
    font-weight: 700;
    margin: 0 0 25px;
    small {
        display: block;
        font-weight: 400;
        font-size: 14px;
        color: #808080;
    }
    @include breakpoint(md) {
        margin: 0 0 10px;
        small {
            display: none;
        }
    }
}

.reviews__item-text {
    transition: 0.25s;
    overflow: hidden;
    max-height: 104px;
    font-size: 16px;
    line-height: 26px;
    font-weight: 400;
    p {
        margin: 0 0 20px;
        &:last-child {
            margin: 0;
        }
    }
    @include breakpoint(md) {
        max-height: 52px;
    }
    @include breakpoint(lg) {
        max-height: 208px;
    }
   
}

.reviews__item-readmore {
    position: relative;
    z-index: 10;
	background: #fff;
	padding: 10px 0 0;
	&:after {
		content: '';
		display: block;
		position: absolute;
		bottom: 100%;
		left: 0;
		right: 0;
		height: 100px;
		background: linear-gradient(to bottom, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%);
		
    }
    @include breakpoint(lg) {
        
        &:after {
            
        }
    }
}

.reviews__item-readmore-link {
    text-decoration: none;
    color: #00757E;
    opacity: 0.6;
    transition: 0.25s;
    &:hover {
        text-decoration: none;
        color: #00757E;
        opacity: 1;
    }
}

.reviews__item-info {
    @include breakpoint(md) {
        display: flex;
        align-items: center;
        font-size: 14px;
        color: rgba(#333,0.6);
        padding: 10px 0 0;
        margin: auto 0 0;
    }
}

.reviews__item-source {
    position: absolute;
    top: 0;
    right: 0;
    
    a {
        color: #00757E;
        text-decoration: none;
        border-bottom: 1px solid currentColor;
        opacity: 0.6;
        &:hover {
            color: #00757E;
            text-decoration: none;
            opacity: 1;
        }
    }
    @include breakpoint(md) {
        position: relative;
        flex: 1;
    }
}

.reviews__item-date {
    display: none;
    @include breakpoint(md) {
        display: block;
    }
}



// ------

.reviews__isotope {
    @include breakpointMax(md) {
        position: absolute;
        visibility: hidden;
        pointer-events: none;
    }
}


.reviews__swiper {
    @include breakpoint(md) {
        position: absolute;
        visibility: hidden;
        pointer-events: none;
    }
    @include breakpointMax(md) {
        .reviews__item {
            background: #fff;
        }
        .reviews__item-desc {
            padding: 25px 15px;
        }
        .reviews__item-image {
            margin: 0;
        }
        .reviews__item-source {
            top: 25px;
            right: 20px;
        }
    }
}
@media (max-width: 720px) {
    .reviews {
        display: none; } }

@media (min-width: 720px) {
    .reviews_mobile {
        display: none; } }